Subject: Re: [tao-discuss] First draft of new version

From: Niels ten Oever <[email-masked]>
Date: Fri, 1 Jun 2018 13:10:33 +0200

Hi Russ,

On 05/31/2018 08:57 PM, Russ Housley wrote:
> 
>> On May 31, 2018, at 11:07 AM, Niels ten Oever <[email-masked]
>> <mailto:[email-masked]>> wrote:
>>
>> Dear all,
>>
>> I have made a first pass over the Tao and sought to make some
>> improvements. I will make another pass but I also wanted to see whether
>> people have suggestions or improvement on this new versions.
>>
>> Comments are very welcome here (txt with my edits attached, as well as
>> the current Tao), but also pull requests on github:
>> https://github.com/nllz/Tao-of-the-IETF/blob/master/Tao.txt
>>
>> Else expect a new version before IETF102.
>>
>> Best,
>>
>> Niels
> 
> Thanks for your work on the Tao.  I appreciate it.
> 
> RFC 6722 says that the Tao will be available
> at https://www.ietf.org/tao.html.  It is not being redirected
> to https://www.ietf.org/about/participate/tao/, which seems fine, but
> the document should point to the same URL as RFC 6722.

Agreed and changed!

Thanks!

Niels

> 
> Russ
> 
> 
> 
> 
> _______________________________________________
> tao-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tao-discuss
>

---

From: Niels ten Oever <[email-masked]>
Date: Fri, 1 Jun 2018 13:38:29 +0200

Hi Brian,

On 06/01/2018 04:13 AM, Brian E Carpenter wrote:
> Niels,
> 
> Thanks. I made myself a side-by-side diff, so I've attached it for
> anybody else's convenience.
> 
> A few comments, somewhat random:
> 
>> The current Areas and abbreviations are shown below (more information
>> can be found here: https://www.ietf.org/topics/areas/).
> 
> I wonder about including the current list of Areas. They do change, and
> apparently more often than the Tao changes. Maybe it would be better
> just to include the pointer?

I have been thinking about this a bit. With every link, we lose (at
least) 80% of the audience. I think the Areas should be basic knowledge
that people know.

We also want to update the Tao more regularly, so hopefully we will
actually update the Tao more often than areas change. I was generally
thinking of doing at least an update once per year.

> 
>> Because the IESG has a great deal of influence on whether
>> Internet-Drafts become RFCs, many people look at the ADs as somewhat
>> godlike creatures. IETF participants sometimes reverently ask Area
>> Directors for their opinion on a particular subject. However, most ADs
>> are nearly indistinguishable from mere mortals and rarely speak from
>> mountaintops. In fact, when asked for specific technical comments, the
>> ADs may often defer to IETF participants whom they feel have more
>> knowledge than they do on that topic.
> 
> I can see why you might not like the tone of this paragraph, but
> I think it makes an important point, and should be rewritten rather
> than deleted. Newcomers really need to understand that ADs are just
> people.
> 

I agree. I would like to offer this:

Because the IESG is reviewing all Internet Drafts before they become
RFCs, Area Directors have quite a bit of influence. Some people
therefore shy away from directly engaging with Area Directors, whereas
they can be an important resource and help you find the person or the
answer that your looking for. At the meeting they might be very busy,
but the Newcomers Meet and Greet and email before (or after) the meeting
is a great way to get in touch.

>> The RFC Editor edits, formats, and publishes Internet-Drafts as RFCs,
>> working in conjunction with the IESG for IETF drafts, the IRTF Chair for
>> IRTF drafts, the IAB for IAB drafts, and the Independent Submissions
>> Editor for Independent Submission drafts, and of course the work with
>> the author(s). An important secondary role is to provide one definitive
>> repository for all RFCs 
> 
> Actually I don't think the repository role is secondary at all; it's
> essential.

s/secondary/other

> 
>> The Sunday is an excellent day to join the meeting...
> 
> How about :
> 
>   If you are not attending the hackathon, Sunday is an excellent day to
> join the meeting...
> 

This becomes a bit nitpicky, but I think people _can_ attend both, just
not in its entirety. What do you think about this:

The Sunday is an excellent day to join the meeting (unless you already
join us during the hackathon on Saturday) because Saturday is the
newcomer's tutorial, as well the Quick Connections session where
newcomers get to meet with experienced IETF participants and the
Newcomer's Meet and Greet where newcomers can meet Area Directors and
Working Group Chairs.

> 
>> It's worth noting that neither attendee names and addresses nor IETF
>> mailing lists are ever offered for sale.
> 
> You've deleted that, but I think it should be replaced by a pointer
> to the privacy policy that was just updated for GDPR.

Excellent, added.

Registration is open throughout the week of the meeting. However, the
Secretariat highly recommends that attendees arrive for early
registration, usually beginning at noon on Sunday and continuing
throughout the Sunday evening reception. You can find out more about how
the IETF handles your personal data here:
https://www.ietf.org/privacy-statement/.

> 
>> One of the most important (depending on your point of view) things the
>> host does is provide unfethered Internet access for the meeting
> 
> If this is a reference to RFC 1149, there is a spelling mistake.
> 

s/unfethered/unfettered

>> , continental breakfast on Monday through Friday
>> mornings (depending on the meeting venue),
> 
> Why delete that? It's still true.
> 

In my experience this is only for people who stay in the venue hotel,
and not for everyone. Am I wrong?

Thanks for the comments!

Best,

Niels

> Regards,
>      Brian
> Regards
>    Brian Carpenter

---

From: Niels ten Oever <[email-masked]>
Date: Fri, 1 Jun 2018 13:50:52 +0200

Thanks for the review!

On 05/31/2018 07:57 PM, Adrian Farrel wrote:
> Niels,
> 
> Thanks for summoning the energy for this work. The Tao is immensely important as a gateway to the IETF and facilitates an understanding of our peculiar "culture" and so makes participation by newcomers much easier.

Yes! And since our culture is evolving, so should the Tao :)

> 
> Here are a few thoughts with my ISE hat on.
> 

Thanks!

> Cheers,
> Adrian.
> 
> 1.
> You have: "RFCs are the IETF's main technical documentation series,"
> This may give the impression that you are defining RFCs, but they have wider scope.
> How about...
> "The IETF publishes its main technical documentation as RFC,"
> 

Accepted and changed.

> 2.2.5
> s/the RFC Editor and IANA involved/the RFC Editor and IANA are involved/
> 

This is the full sentence:

Although both the RFC Editor and IANA involved the same people for many
years, the RFC Editor is a separate job. Today,

Your suggestion would make it grammatically incorrect, right? (But am a
bit hesitant to say this as a non-native english speaker to a native
one, so happy to learn :) ).

> 2.2.5
> All Internet-Drafts are posted under the same copyright, IPR, and other rules, so it may be better to change as...
> OLD
> The RFC Editor edits, formats, and publishes Internet-Drafts as RFCs, working in conjunction
> with the IESG for IETF drafts, the IRTF Chair for IRTF drafts, the IAB for IAB drafts, and the 
> Independent Submissions Editor for Independent Submission drafts, and of course the
> work with the author(s).
> NEW
> The RFC Editor edits, formats, and publishes Internet-Drafts as RFCs, working in conjunction
> with the IESG for IETF RFCs, the IRTF Chair for IRTF RFCs, the IAB for IAB RFCs, and the 
> Independent Submissions Editor for Independent Submission RFC, and of course 
> working with the authors.
> END
> 

Accepted and changed.

> 2.2.5 
> I think this may be the right place to cover another significant misconception. We should certainly cover it somewhere and this looks as good a place as any. Something like...
> "Another misconception common in the IETF and across the industry as a whole is that all RFCs are the work of the IETF. In fact, of the four sources of RFCs listed above (IETF, IAB, IRTF, and Independent Submissions), only those coming direct from the IETF  through working groups or sponsored by ADs are capable of having IETF consensus and being described as IETF specifications or standards."
> 

Accepted, but suggest we remove 'in the IETF and across the industry as
a whole'.

So I'd suggest:

Another common misconception is that all RFCs are the work of the IETF.
In fact, of the four sources of RFCs listed above (IETF, IAB, IRTF, and
Independent Submissions), only those coming direct from the IETF
through working groups or sponsored by ADs are capable of having IETF
consensus and being described as IETF specifications or standards.

> 4.3
> s/WG drafts and independent drafts/WG drafts and individual drafts/
> s/discuss independent drafts/discuss individual drafts/
> (or "personal drafts")
> 

Both accepted and changed.

> 6.
> I think it would be helpful to clarify the scope of this section with text like...
> "This section discusses Internet-Drafts and RFCs in the IETF stream, that is, it describes how documents are produced and advanced within the IETF. For a brief note on other RFC streams, see Section 2.2.5."
> 

Excellent, accepted and added.

Best,

Niels

> 
>> -----Original Message-----
>> From: tao-discuss [mailto:[email-masked]] On Behalf Of Niels ten
>> Oever
>> Sent: 31 May 2018 16:07
>> To: [email-masked]
>> Subject: [tao-discuss] First draft of new version
>>
>> Dear all,
>>

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 1 Jun 2018 13:18:28 +0100

Many thanks.

Responses to your responses...

> one, so happy to learn :) ).

Sorry, my bad!

Original text stands.

> > 2.2.5
> > I think this may be the right place to cover another significant misconception.
> We should certainly cover it somewhere and this looks as good a place as any.
> Something like...
> > "Another misconception common in the IETF and across the industry as a whole
> is that all RFCs are the work of the IETF. In fact, of the four sources of RFCs listed
> above (IETF, IAB, IRTF, and Independent Submissions), only those coming direct
> from the IETF  through working groups or sponsored by ADs are capable of having
> IETF consensus and being described as IETF specifications or standards."
> >
> 

wfm

Adrian

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 2 Jun 2018 15:31:35 +1200

Just the points where I want to comment on your replies:

> On 06/01/2018 04:13 AM, Brian E Carpenter wrote:
...
> thinking of doing at least an update once per year.

That would be fine, but it needs to be on some annual check-list
held by IASA, I think. (There's the same problem for one of the
things I've been editing, https://www.ietf.org/standards/process/informal/ .)

...

> Newcomer's Meet and Greet where newcomers can meet Area Directors and

Sure, but you mean "Sunday is the newcomer's tutorial".

...

> and not for everyone. Am I wrong?

No, if there's breakfast in the breakout areas, it's for everybody.
That seems to apply in North America, if the meeting rooms are in the
main hotel. But not in most other countries, and not in convention
centre venues. So with the three continents model for meeting locations,
it's definitely no longer the norm. So

 , in some venues, continental breakfast on Monday through Friday mornings,

might be less misleading.

Thanks
   Brian

---

From: Niels ten Oever <[email-masked]>
Date: Mon, 4 Jun 2018 14:53:40 +0200

Thanks Brian,

inline:

> things I've been editing, https://www.ietf.org/standards/process/informal/ .)

Any idea who/where I should email to get it on their list?

Thanks!

> might be less misleading.

added!

Thanks again!

Niels

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 5 Jun 2018 08:28:24 +1200

On 05/06/2018 00:53, Niels ten Oever wrote:
...
> Any idea who/where I should email to get it on their list?

Not really, but maybe the EMO Directorate should discuss this
with the web site maintainers? It's a quite general problem.

(I did suggest to Tim Berners-Lee in about 1993 that all web pages
should have a compulsory expiry date, but he didn't like the idea,
so here we are with millions of obsolete pages...)

    Brian